Subject: Re: [RFC 3/4] net: pppol2tp - introduce net-namespace functionality

From: Cyrill Gorcunov <[email-masked]>
Date: Sat, 10 Jan 2009 14:13:59 +0300

[James Chapman - Sat, Jan 10, 2009 at 11:06:08AM +0000]
| Cyrill Gorcunov wrote:
| > - Each tunnel and appropriate lock are inside own namespace now.
| > - pppox code allows to create per-namespace sockets for
| >   both PX_PROTO_OE and PX_PROTO_OL2TP protocols. Actually since
| >   now pppox_create support net-namespaces new PPPo... protocols
| >   (if they ever will be) should support net-namespace too otherwise
| >   explicit check for &init_net would be needed.
| > 
| > CC: James Chapman <[email-masked]>
| > Signed-off-by: Cyrill Gorcunov <[email-masked]>
| > ---
| >  drivers/net/pppol2tp.c |  164 ++++++++++++++++++++++++++++++++++++-------------
| >  drivers/net/pppox.c    |    4 -
| >  2 files changed, 121 insertions(+), 47 deletions(-)
| 
| Looks ok from a pppol2tp point of view, though I'm not an expert on the
| netns stuff.
| 
| The patches don't apply against latest net-next-2.6. If you respin the
| patches, I'll test them for pppol2tp.
| 
| -- 
| James Chapman
| Katalix Systems Ltd
| http://www.katalix.com
| Catalysts for your Embedded Linux software development
| 

Thanks James for taken look on. I'll check the latest net-next-2.6
tree and update the patches soon. Thanks!

		- Cyrill -